import CommonIcon from '_c/base/common-icon'
import { showTitle } from '@/libs/base/util'
export default {
  components: {
    CommonIcon
  },
  methods: {
    showTitle (item) {
      return showTitle(item, this)
    },
    showChildren (item) {
      // console.log('eee',item,item.children && item.children.length >= 1)
      // return item.children && (item.children.length >= 1 || (item.meta && item.meta.showAlways))
      return item.children && item.children.length >= 1
    },
    getNameOrHref (item, children0) {
      // 导航
      if(item.menuType === 0){
        return '';
      }
      return item.href ? `isTurnByHref_${item.href}` : (children0 ? item.children[0].name : item.name)
    }
  }
}
